scriptname DMCO_MCM extends SKI_ConfigBase

Import Game
int property basestaminacost auto
int Property basemagickacost Auto
Int sliderbasestaminacost
Int sliderbasemagickacost
int text1
int text2

event OnConfigInit()
	Pages = new string[1]
	Pages[0] = "Mod Options"
endEvent

Event OnPageReset(string page)
	sliderbasestaminacost = AddSliderOption("Base stamina cost", basestaminacost, "{0}")
	sliderbasemagickacost = AddSliderOption("Base magicka cost", basemagickacost, "{0}")
	self.AddKeyMapOptionST("ToggleKey_K", "Dodge key", Dodge.GetKey(), 0)
EndEvent

Event OnOptionHighlight(Int Option)
	If (Option == sliderbasestaminacost)
		SetInfoText("The base stamina cost is multiplied by a factor dependant on your moveset")
	ElseIf (Option == sliderbasemagickacost)
		SetInfoText("The base magicka cost is multiplied by a factor dependant on your moveset")
	Endif
EndEvent


Event OnOptionSliderOpen(Int Option)
	If option == sliderbasestaminacost
        	SetSliderDialogStartValue(basestaminacost)
        	SetSliderDialogDefaultValue(30)
        	SetSliderDialogRange(-200, 200)
        	SetSliderDialogInterval(1)
	ElseIf option == sliderbasemagickacost
       		SetSliderDialogStartValue(basemagickacost)
        	SetSliderDialogDefaultValue(30)
        	SetSliderDialogRange(-200, 200)
        	SetSliderDialogInterval(1)
	EndIf
EndEvent


Event OnOptionSliderAccept(Int Option, Float Value)
	If option == sliderbasestaminacost
        	basestaminacost = Value as int
		SetSliderOptionValue(option, value, "{0}")
	ElseIf option == sliderbasemagickacost
        	basemagickacost = Value as int
		SetSliderOptionValue(option, value, "{0}")
	Endif
EndEvent


State ToggleKey_K
    Event OnKeyMapChangeST(Int a_newKeyCode, String a_conflictControl, String a_conflictName)
        If (HandleKeyConflict(a_conflictControl, a_conflictName))
            Dodge.SetKey(a_newKeyCode)
            SetKeymapOptionValueST(a_newKeyCode)
        EndIf
    EndEvent



    Event OnDefaultST()
        Dodge.SetKey(-1)
        SetKeymapOptionValueST(-1)
    EndEvent

    Event OnHighlightST()
        SetInfoText("$Dodge_ToggleKey_InfoText")
    EndEvent
EndState

Bool function HandleKeyConflict(String a_conflictControl, String a_conflictName)
	if a_conflictControl != ""
		String msg
		if a_conflictName != ""
			msg = "This key is already used by " + "{" + a_conflictControl + "}_Name{" + a_conflictName + "}"
		else
			msg = "This key is already used by " + "{" + a_conflictControl + "}"
		endIf
		return self.ShowMessage(msg, true, "$Yes", "$No")
	endIf
	return true
endFunction